edu.ucsb.nceas.metacat.spatial

## Class SpatialDocument

- java.lang.Object
- - edu.ucsb.nceas.metacat.spatial.SpatialDocument

-     public class SpatialDocument
      extends java.lang.Object

  Class representing the spatial portions of an xml document as a geotools Feature.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpatialDocument(java.lang.String docid, DBConnection dbconn)` Constructor that queries the db

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.opengis.feature.simple.SimpleFeature` | `getPointFeature()` Returns a geotools (multi)point feature with geometry plus attributes ready to be inserted into our spatial dataset cache
    `org.opengis.feature.simple.SimpleFeature` | `getPolygonFeature()` Returns a geotools (multi)polygon feature with geometry plus attributes ready to be inserted into our spatial dataset cache

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpatialDocument

          public SpatialDocument(java.lang.String docid,
                                 DBConnection dbconn)

      Constructor that queries the db
      Parameters:
        `docid` - The document id to be represented spatially
        `dbconn` - The database connection shared from the refering method.

  - ### Method Detail

    - #### getPolygonFeature

          public org.opengis.feature.simple.SimpleFeature getPolygonFeature()

      Returns a geotools (multi)polygon feature with geometry plus attributes ready to be inserted into our spatial dataset cache

    - #### getPointFeature

          public org.opengis.feature.simple.SimpleFeature getPointFeature()

      Returns a geotools (multi)point feature with geometry plus attributes ready to be inserted into our spatial dataset cache

Copyright © 2020 Regents of the University of California. All Rights Reserved.